Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.cmd
Class StringClumpOption

    java.lang.Object
      oracle.ifs.utils.cmd.StringClumpOption

All Implemented Interfaces:
  CmdLineOption

    public class StringClumpOption

extends java.lang.Object
implements CmdLineOption

The `StringClumpOption` class models a command line option that may be attached to a string value. Includes options like: `-DNDEBUG`. Here, if the option key is "D", then the value is "NDEBUG".

See Also:
  `OptionParser`
Modified:
  jbaccash 07/26/2000 Created.

Field Summary
`java.lang.String` | `value` The value of the option as specified on the command line, or null if option not present.

Constructor Summary
`StringClumpOption(java.lang.String key)` Creates a new string clump option.

Method Summary
`java.lang.String` | `getKey()` Returns the string that the `OptionParser` seeks on the command line in association with the `CmdLineOption`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public java.lang.String value

  Description copied from class: `StringClumpOption`
  The value of the option as specified on the command line, or null if option not present.

Constructor Detail

### StringClumpOption

    public StringClumpOption(java.lang.String key)

  Creates a new string clump option.

  Parameters:
    `key` - what the user types to set the option.
  See Also:
    `StringClumpOption.getKey()`

Method Detail

### getKey

    public java.lang.String getKey()

  Description copied from interface: `CmdLineOption`
  Returns the string that the `OptionParser` seeks on the command line in association with the `CmdLineOption`. Initial '-' not included.

  Specified by:
    `getKey` in interface `CmdLineOption`
  See Also:
    `OptionParser`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD